- entityDefinitions:
  - IDI_Task_BooleanAttribute_View: '{58cd9c38-7a63-423b-8fba-05ee44f8a153}'
  - IDI_Task_BooleanAttribute_Edit: '{42c890a7-d931-4884-93f0-bc32c4211ed4}'
  - IDE_BooleanAttribute_View: '{2eec7aa5-297c-4f91-b5be-6239d699852d}'
  - IDE_BooleanAttribute_Edit: '{a4916a21-e585-4a9f-a290-3060c977c387}'
  - IDE_BooleanAttribute_Subedits: '{8ca313dc-b936-4b04-94f4-d27977bf3933}'
  - IDI_TaskCategory_BooleanAttribute: '{d4a37a89-07c2-40b6-8e06-8f595270fd06}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_BooleanAttribute;'
    name: 'Boolean Attribute'

  - sequenceTask: '&IDI_Task_BooleanAttribute_View;'
    name: 'View Boolean Attribute'
    initiatingElement: '&IDE_BooleanAttribute_View;'
    taskCategory: '&IDI_TaskCategory_BooleanAttribute;'
    
  - sequenceTask: '&IDI_Task_BooleanAttribute_Edit;'
    name: 'Edit Boolean Attribute'
    initiatingElement: '&IDE_BooleanAttribute_Edit;'
    taskCategory: '&IDI_TaskCategory_BooleanAttribute;'
    
  - element: '&IDE_BooleanAttribute_View;'
    name: 'view boolean attribute'
    elementContents:
    - globalIdentifier: '{03bd57f6-985d-4c14-adc8-117303b2d2ac}'
      defaultDataType: '&IDE_BooleanAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_BooleanAttribute_Edit;'
    name: 'edit boolean attribute'
    elementContents:
    - globalIdentifier: '{b487c709-169b-4de3-af11-141b210bb3ef}'
      defaultDataType: '&IDE_BooleanAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_BooleanAttribute_Subedits;'
    name: 'boolean attribute subedits'
    elementContents:
    - globalIdentifier: '{1c193a3c-f2f7-4edd-8570-8b25b773008d}'
      defaultDataType: '&IDC_BooleanAttribute;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'

    - globalIdentifier: '{6ada1b99-6fb3-4c83-bd4e-91490f5a20f4}'
      defaultDataType: '&IDA_Name;'
